Page MenuHomePhabricator

Explore ideas for Review Feeds
Closed, ResolvedPublic

Description

As part of T137783, this ticket explores the idea of having a central place that provides an overview of the user review activity. This place provides access to different review feeds and facilitates follow-up actions with the reviewed users.

Goals

  • Establish a review routine. We want to explain the relevance of review and encourage reviewers to review often.
  • Encourage constructive actions. We want reviewers to have especial consideration to good-faith users and encourage human interaction to provide them a better initial experience even if their contributions are not optimal.

Scenarios

  • Daily review A reviewer takes some minutes every day to provide some reviews of the new contributions of the day. When reviewing positive contributions from newcomers, she thanks them. When reviewing damaging contributions from newcomers tries to spend some time helping them to fix them or initiating discussions to help. The reviewer is happy to see she has been reviewing regularly and the effects of her work on Wikipedia.
  • Mentoring. After reviewing a problematic contribution made in good faith, the reviewer communicates with the editor providing him useful information. The reviewer tracks the following contributions of that user to help him. She is happy to see that the contributions of this user have improved and they are no longer reverted.
  • Focusing the review The reviewer is interested in checking the contributions about mexican rock bands. She wants to know as soon as possible when there are contributions to review in that area.

Explored solutions

Provide feeds of contributions for review:

  • Review feeds represent a stream of changes to be reviewed. They are identified by a name and a description.
  • When accessing a feed, users access Recent Changes with the corresponding filters applied (example of recent changes for mexican rock bands).

Provide an initial set of feeds focused on helping newcomers:

  • "Newcomers (positive)" shows contributions by new users that have been classified as good-faith and non-damaging.
  • "Newcomers (problematic)" shows contributions by new users that have been classified as good-faith but damaging.
  • "Watchlisted pages" shows contributions made to the pages the user is watching.

Surface relevant information and actions for each feed:

  • New contributions. The number of new contributions made (and unreviewed) for the day is shown. This encourages reviewers to reduce that number to zero by reviewing the new changes.
  • Requests for help. If newcomers are allowed to ask for help, this can be reflected for reviewers to prioritise those.
  • Editing actions. Feeds can include a set of actions to manage them; allowing the user to change the name and description, delete, duplicate, and modify the query that provides the results.
  • Subscription and sharing. Users may be able to share their feeds with other users (e.g., linking/embedding them in a related Wikiproject page). Providing options for users to subscribe (getting notifications about the new activity of the feed) can be also useful (especially in narrowly focused critical feeds) but volume considerations need to be taken into account (updating information in badges if the volume of changes of the feed is high: "100 new contributions for review today"). These advanced actions can be provided as part of the "..." menu on feeds.

Allow to create new feeds.

  • Creation of new feeds is defined by creating a new filter criteria from Recent changes and saving it with a new name. More details will be provided in the ticket exploring how to improve Recent Changes filters.

Capture progress and impact

  • Capture user participation and trends. By capturing the total reviews, and the reviews made in recent weeks, users are encouraged to keep a continuous reviewing activity.
  • Visualise user actions. By surfacing the number of key follow-up actions (e.g., thanks, reverts, discussions) that take place in the review process, reviewers are encouraged to folow-up with the editors they reviewed.

Show recently reviewed editors

  • Making editors that you recently reviewed easier to find may encourage reviewers to perform follow-up actions.
  • Providing information about their review relationship (such as the editor being reverted or thanked by you) provides additional context for following-up.

Provide guidance to newcomers

  • Reviewers can keep track of editors they reviewed for a longer period (10 days). In this way they can (a) help them to improve upcoming edits and (b) get satisfaction to see the progress in the editing skills as a result of their work.
  • The "mentoring" is provided in a lightweight (limited by time, ) way to avoid making it feel like a big commitment and avoid potential misuses.
  • The overall activity in the 10 days is shown (with a visual summary for the last 5) to illustrate the progress the user had.
  • The daily activity is shown to surface the recent contributions, as well as the discussions the user participate (especially highlighting Village pump , support, teahouse, etc.).

Event Timeline

Pginer-WMF updated the task description. (Show Details)Jun 15 2016, 6:28 AM
Pginer-WMF updated the task description. (Show Details)Jun 15 2016, 6:30 AM
Halfak added a subscriber: Halfak.Jul 12 2016, 10:45 PM

It would be great if there was a way to share feeds/filter-sets between users. E.g. most vandal fighters will want to use the same or similar feeds. Also, I suspect that reviewing the feeds of others will help someone new to the reviewing interface know what is available.

It would be great if there was a way to share feeds/filter-sets between users. E.g. most vandal fighters will want to use the same or similar feeds. Also, I suspect that reviewing the feeds of others will help someone new to the reviewing interface know what is available.

There are a couple of ideas that we had about sharing those feeds and allowing people to get proactively notifications if they want to (which makes sense to very narrowly focused critical feeds).

As I was replying I realised that I left the sentence about this on the ticket description incomplete:

Subscription and sharing. Users may be able to

So I'll add more details.

Pginer-WMF updated the task description. (Show Details)Jul 13 2016, 9:10 AM
Harej moved this task from Needs Triage to Radar on the WikiProject-X board.
Harej added a subscriber: Harej.
jmatazzoni closed this task as Resolved.Sep 12 2016, 10:52 PM
jmatazzoni claimed this task.
jmatazzoni added a subscriber: jmatazzoni.

Resolving this. let me know if anyone wants to keep it open.